Bug 94268 - [new port] www/xshttpd-devel - another webserver
[new port] www/xshttpd-devel - another webserver
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 13:00 UTC by johans
Modified: 2006-03-21 11:57 UTC (History)
0 users

See Also:


Attachments
file.shar (7.10 KB, text/plain)
2006-03-09 13:00 UTC, johans
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description johans 2006-03-09 13:00:11 UTC
	
	This is pretty much the same as existing www/xshttpd port,
	but with a newer software version. I've had several requests
	to update www/xshttpd to the latest development release, but
	I prefer a clear distinction and want to keep the stable version.

Fix: The port conflicts with existing www/xshttpd port,
	this should also be reflected in the Makefile of that port
	by adding  CONFLICTS+=xshttpd-devel-[0-9]*
Comment 1 itetcu 2006-03-09 13:12:53 UTC
On Thu,  9 Mar 2006 13:51:44 +0100 (CET)
Johan van Selst <johans@stack.nl> wrote:

> >Synopsis:       [new port] www/xshttpd-devel - another webserver
 [ ... ]
> >Description:
> 	
> 	This is pretty much the same as existing www/xshttpd port,
> 	but with a newer software version. I've had several requests
> 	to update www/xshttpd to the latest development release, but
> 	I prefer a clear distinction and want to keep the stable version.

You should ask for a repo-copy and submit the update to -devel as a diff.

-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

Suffocating together ... would create heroic camaraderie.
		-- Khan Noonian Singh, "Space Seed", stardate 3142.8
Comment 2 johans 2006-03-09 13:39:19 UTC
Ion-Mihai Tetcu wrote:
> You should ask for a repo-copy and submit the update to -devel as a diff.

Good call: a repo-copy would be appropriate.
A patch against the current www/xshttpd port is provided below:


diff -uNr xshttpd/Makefile xshttpd-devel/Makefile
--- xshttpd/Makefile	Wed Nov  9 04:09:00 2005
+++ xshttpd-devel/Makefile	Thu Mar  9 14:34:43 2006
@@ -6,10 +6,11 @@
 #
 
 PORTNAME=	xshttpd
-DISTVERSION=	3.3g01
-CATEGORIES=	www
+DISTVERSION=	3.4b06
+CATEGORIES=	www ipv6
 MASTER_SITES=	ftp://ftp.stack.nl/pub/xs-httpd/release/ \
 	ftp://mud.stack.nl/pub/xs-httpd/release/
+PKGNAMESUFFIX=	-devel
 DISTNAME=	${PORTNAME}-${DISTVERSION:S/.//}
 
 MAINTAINER=	johans@stack.nl
@@ -17,15 +18,15 @@
 
 RUN_DEPENDS=	run-mailcap:${PORTSDIR}/misc/mime-support
 
-CONFLICTS+=	apache-[0-9]*
+CONFLICTS+=	apache-[0-9]* xshttpd-[0-9]*
 
 MAN1=		clearxs.1 gfxcount.1 httpd.1 httpdc.1 imagemap.1 \
 		readxs.1 xsindex.1 xspasswd.1
 MAN5=		httpd.conf.5 xsauth.5 xsscripts.5
+USE_BZIP2=	yes
 USE_RC_SUBR=	xshttpd.sh
 
 GNU_CONFIGURE=	yes
-USE_REINPLACE=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 
 OPTIONS=	SSL "Enable https support" On \
@@ -84,5 +85,9 @@
 
 post-install:
 	@${RM} ${DATADIR}/mime.types
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+	@cd ${WRKSRC} && ${CP} README BUGS COPYING ChangeLog ${DOCSDIR}
+.endif
 
 .include <bsd.port.post.mk>
diff -uNr xshttpd/distinfo xshttpd-devel/distinfo
--- xshttpd/distinfo	Wed Nov  9 04:09:00 2005
+++ xshttpd-devel/distinfo	Wed Mar  8 20:56:26 2006
@@ -1,3 +1,3 @@
-MD5 (xshttpd-33g01.tar.gz) = b22bcb06e73c4c7df4e6f3da3fc22de9
-SHA256 (xshttpd-33g01.tar.gz) = 4519b3b927f87cd62534593296a7c4aa77895b5369e646c8a5a0be8587928cb3
-SIZE (xshttpd-33g01.tar.gz) = 208738
+MD5 (xshttpd-34b06.tar.bz2) = 48d8df68865eb30d5af352bb92d5188d
+SHA256 (xshttpd-34b06.tar.bz2) = b88203213f2125d9da4a26f0cdcfb30a3939632d643470a03da1d4191f963402
+SIZE (xshttpd-34b06.tar.bz2) = 186314
diff -uNr xshttpd/files/xshttpd.sh.in xshttpd-devel/files/xshttpd.sh.in
--- xshttpd/files/xshttpd.sh.in	Fri Sep 16 01:04:31 2005
+++ xshttpd-devel/files/xshttpd.sh.in	Thu Mar  9 14:35:25 2006
@@ -13,6 +13,7 @@
 # xshttpd_enable (bool):	Set to "NO" by default.
 #				Set it to "YES" to enable XS-HTTPD.
 #
+xshttpd_enable=${xshttpd_enable-"NO"}
 
 . %%RC_SUBR%%
 
@@ -21,9 +22,9 @@
 
 load_rc_config $name
 
-: ${xshttpd_enable="NO"}
-
 pidfile="/var/run/httpd.pid"
 command="%%PREFIX%%/bin/httpd"
+stop_cmd="%%PREFIX%%/bin/httpdc kill"
+restart_cmd="%%PREFIX%%/bin/httpdc restart"
 
 run_rc_command "$1"
diff -uNr xshttpd/pkg-descr xshttpd-devel/pkg-descr
--- xshttpd/pkg-descr	Wed Sep 21 04:09:32 2005
+++ xshttpd-devel/pkg-descr	Thu Mar  9 13:42:37 2006
@@ -1,23 +1,9 @@
-XS-HTTPD is a WWW server that has the following features:
+This port offers the development branch of the XS-HTTPD webserver.
+The stable version of XS-HTTPD is available as well, as www/xshttpd.
 
-- It is pronounced as "access-HTTP-daemon"
-- It is SMALL (very small in fact: a factor two to three smaller than
-  normal servers on disk and in memory)
-- It is FAST (because it is so small and does not do unnecessary things)
-- Uses very little CPU time
-- Configurable (configuration compiled in to make it small, but largely
-  overridable on the command line)
-- Runs user CGI binaries under their own user ID
-- Gets users' pages under their own user ID, allowing them to really
-  have protected pages (using the built-in authentication mechanism)
-- Does not fork for every connection (has a fixed number of servers),
-  only to replace a lost server (in case of timeouts).
-- Comes with some other useful programs
-- Offers Server-Side Includes for many common tasks, including built-in
-  page counters (text or graphical)
-- Supports PHP and other interpreted file formats
-- Supports automatic decompression to save diskspace and bandwidth
-- Serves SSL (https) and http connections through the same daemon
-- Full support for IPv6
+Development releases are updated much more often and will contain
+all kinds of nice new features - some of them are even documented.
+
+Read the ChangeLog file for possible issues with backwards compatibility.
 
 WWW: http://www.stack.nl/xs-httpd/
diff -uNr xshttpd/pkg-plist xshttpd-devel/pkg-plist
--- xshttpd/pkg-plist	Sun Jan 22 09:54:05 2006
+++ xshttpd-devel/pkg-plist	Thu Mar  9 13:38:01 2006
@@ -9,10 +9,12 @@
 %%DATADIR%%/cgi-bin/imagemap
 %%DATADIR%%/cgi-bin/xschpass
 %%DATADIR%%/contrib/SSL-Makefile
+%%DATADIR%%/contrib/agentstats.pl
+%%DATADIR%%/contrib/caroot.pem
 %%DATADIR%%/contrib/logrotate.sh
 %%DATADIR%%/contrib/persistent.pl
+%%DATADIR%%/contrib/powered-by-xs.gif
 %%DATADIR%%/contrib/wwwstats.pl
-%%DATADIR%%/contrib/agentstats.pl
 %%DATADIR%%/compress.methods.sample
 %%DATADIR%%/gfxcount/digital0.ppm
 %%DATADIR%%/gfxcount/digital1.ppm
@@ -65,6 +67,11 @@
 @dirrm %%DATADIR%%/contrib
 @dirrm %%DATADIR%%/gfxcount
 @dirrm %%DATADIR%%/icons
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/BUGS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @cwd %%WWWDIR%%
 @dirrmtry cgi-bin
 @dirrmtry htdocs
Comment 3 Renato Botelho freebsd_committer 2006-03-18 18:15:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 4 Renato Botelho freebsd_committer 2006-03-18 18:16:07 UTC
State Changed
From-To: open->repocopy

Repocopy requested 


Comment 5 Renato Botelho freebsd_committer 2006-03-18 18:16:07 UTC
Responsible Changed
From-To: garga->portmgr

Repocopy requested
Comment 6 Joe Marcus Clarke freebsd_committer 2006-03-21 06:38:03 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 7 Joe Marcus Clarke freebsd_committer 2006-03-21 06:38:03 UTC
Responsible Changed
From-To: portmgr->garga

Repocopy completed.
Comment 8 Renato Botelho freebsd_committer 2006-03-21 11:57:35 UTC
State Changed
From-To: open->closed

New port added. Thanks!